import { ref as B, reactive as y, resolveComponent as u, createBlock as v, openBlock as d, withCtx as i, createVNode as g, createElementBlock as F, Fragment as R, renderList as S, withModifiers as w, normalizeClass as E, createElementVNode as $, resolveDynamicComponent as A } from "vue";
import { notification as _ } from "ant-design-vue";
const T = (n, b) => {
  const p = n.__vccOpts || n;
  for (const [a, c] of b)
    p[a] = c;
  return p;
}, U = { class: "input-wrapper" }, j = {
  __name: "MultiEditModal",
  props: {
    fields: {
      type: Array,
      required: !0,
      default: () => []
    },
    selectedRecords: {
      type: Array,
      required: !0,
      default: () => []
    },
    // submitApi: {
    //   type: Function,
    //   required: true,
    // },
    getContainer: {
      type: Function,
      default: () => document.body
    }
  },
  emits: ["cancel", "submit"],
  setup(n, { expose: b, emit: p }) {
    const a = n, c = p, m = B(!1), l = y({}), t = y({});
    a.fields.forEach((e) => {
      l[e.name] = e.defaultValue || null, t[e.name] = !1;
    });
    const k = (e) => {
      t[e] = !t[e], console.log(`${e} 现在是 ${t[e]}`);
    }, C = () => {
      a.fields.forEach((e) => {
        l[e.name] = e.defaultValue || null, t[e.name] = !1;
      });
    }, M = () => {
      if (a.selectedRecords.length === 0) {
        _.error({
          message: "失败",
          description: "请先勾选数据",
          duration: 3
        });
        return;
      }
      C(), m.value = !0;
    }, x = async () => {
      const e = a.selectedRecords.map((s) => s.id), r = {};
      a.fields.forEach((s) => {
        t[s.name] && (r[s.name] = {
          edited: !0,
          value: l[s.name] ?? null
        });
      });
      const f = { ids: e, editDTO: r };
      if (Object.keys(r).length === 0) {
        _.warning({
          message: "提示",
          description: "请至少选择一个字段进行编辑",
          duration: 3
        });
        return;
      }
      c("submit", f);
    }, O = () => {
      m.value = !1, C(), c("cancel");
    };
    return b({
      showModal: M,
      onSuccess: () => {
        m.value = !1, _.success({
          message: "成功",
          description: "批量编辑成功",
          duration: 3
        }), c("success");
      },
      onError: (e) => {
        _.error({
          message: "失败",
          description: e || "操作失败，请稍后重试",
          duration: 3
        });
      }
    }), (e, r) => {
      const f = u("a-form-item"), s = u("a-col"), V = u("a-row"), D = u("a-form"), q = u("a-modal");
      return d(), v(q, {
        title: "批量编辑",
        open: m.value,
        getContainer: n.getContainer,
        width: "1000px",
        onOk: x,
        onCancel: O
      }, {
        default: i(() => [
          g(D, {
            model: l,
            "label-col": { span: 10 },
            "wrapper-col": { span: 14 },
            colon: !1
          }, {
            default: i(() => [
              g(V, { gutter: 24 }, {
                default: i(() => [
                  (d(!0), F(R, null, S(n.fields, (o) => (d(), v(s, {
                    span: o.span || 8,
                    key: o.name
                  }, {
                    default: i(() => [
                      g(f, {
                        label: o.label,
                        "label-col": o.labelCol || { span: 10 },
                        "wrapper-col": o.wrapperCol || { span: 14 },
                        class: E({ "button-label": !0, "button-pressed": t[o.name] }),
                        onClick: w((h) => k(o.name), ["prevent"])
                      }, {
                        default: i(() => [
                          $("div", U, [
                            (d(), v(A(o.component), {
                              value: l[o.name],
                              "onUpdate:value": (h) => l[o.name] = h,
                              options: o.options,
                              placeholder: o.placeholder || "请输入",
                              class: E([{
                                "non-editable-input": !t[o.name],
                                "editable-input": t[o.name]
                              }, "form-input"]),
                              onClick: r[0] || (r[0] = w(() => {
                              }, ["stop"])),
                              disabled: !t[o.name],
                              readonly: o.readonly && !t[o.name]
                            }, null, 40, ["value", "onUpdate:value", "options", "placeholder", "class", "disabled", "readonly"]))
                          ])
                        ]),
                        _: 2
                      }, 1032, ["label", "label-col", "wrapper-col", "class", "onClick"])
                    ]),
                    _: 2
                  }, 1032, ["span"]))), 128))
                ]),
                _: 1
              })
            ]),
            _: 1
          }, 8, ["model"])
        ]),
        _: 1
      }, 8, ["open", "getContainer"]);
    };
  }
}, z = /* @__PURE__ */ T(j, [["__scopeId", "data-v-26fe7315"]]), J = {
  install(n) {
    n.component("MultiEditModal", z);
  }
};
export {
  z as MultiEditModal,
  J as default
};
//# sourceMappingURL=codeg-multiedit-ui.es.js.map
